Update permissions for a Data Studio asset.

## Request

### HTTP request

    PATCH https://datastudio.googleapis.com/v1/assets/{assetName}/permissions

### Path parameters

| Parameter name | Type | Description |
|---|---|---|
| assetName | string | The name (ID) of the asset. |

### Authorization

This request requires the authorized user to have sufficient permissions to
manage asset permissions and authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/datastudio` |

### Request body

In the request body, supply the following properties:

| Property name | Type | Description |
|---|---|---|
| permissions | [Permissions](https://developers.google.com/data-studio/integrate/api/reference/types#Permissions) | The updated permissions object. The `OWNER` role cannot be updated. |

## Response

If successful, this method returns the updated [Permissions](https://developers.google.com/data-studio/integrate/api/reference/types#Permissions) object.

## Example

The following example updates the permissions for a Data Studio asset.

    PATCH https://datastudio.googleapis.com/v1/assets/assetName/permissions

Request body:

    {
      "permissions": {
        "permissions": {
          "OWNER": {
            "members": [
              "user:jen@gmail.com"
            ]
          },
          "VIEWER": {
            "members": [
              "user:gus@gmail.com"
            ]
          }
        }
      }
    }